# MatSNESMFSetFunctioni

Sets the function for a single component

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFSetFunctioni(Mat mat,PetscErrorCode (*funci)(PetscInt,Vec,PetscScalar*,void *))

Collective on Mat

### Input Parameters

| mat | - the matrix free matrix created via MatCreateSNESMF()
| funci | - the function to use

### Notes

If you use this you MUST call MatAssemblyBegin()/MatAssemblyEnd() on the matrix free matrix inside your compute Jacobian routine

### Keywords

SNES, matrix-free, function

### See Also

MatCreateSNESMF(),MatSNESMFGetH(),
MatSNESMFSetHHistory(), MatSNESMFResetHHistory(), MatSNESMFKSPMonitor(), SNESetFunction()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages